#!/bin/sh

BUILDSCRIPT=`pwd`/$0
PKGDIR=`pwd`/pkg_maxima

WISHVERSION=8.3
MAXIMAVERSION=5.9.0
SWNAME=maxima-$MAXIMAVERSION
rm -rf $SWNAME
tar zxf $SWNAME.tar.gz

cd $SWNAME

patch -p1 <<EOF
--- maxima-5.9.0/interfaces/xmaxima/Tkmaxima/Myhtml.tcl~	2002-09-20 06:47:01.000000000 +0900
+++ maxima-5.9.0/interfaces/xmaxima/Tkmaxima/Myhtml.tcl	2003-04-29 23:32:44.000000000 +0900
@@ -1079,7 +1079,7 @@
     }
     set maxima_default(propor,adjust) [expr {\$maxima_default(adjust) + 0}]
     set maxima_default(fixed,adjust) [expr {\$maxima_default(adjust)  + 0}]
-    array set maxima_default { propor arial fixed courier  indentwidth .7 }
+    array set maxima_default { propor helvetica fixed courier  indentwidth .7 }
 }
 
 xHMsetDefaultPreferences
--- maxima-5.9.0/interfaces/xmaxima/Tkmaxima/Printops.tcl~	2002-09-20 01:29:26.000000000 +0900
+++ maxima-5.9.0/interfaces/xmaxima/Tkmaxima/Printops.tcl	2003-04-30 00:05:57.000000000 +0900
@@ -13,11 +13,11 @@
 set paperSizes {{letter 8.5 11} { A4 8.5 11} {legal 8.5 13}}
 
 set printOptions {
-    { landscape  1 "Non zero means use landscape mode in printing" }
+    { landscape  0 "Non zero means use landscape mode in printing" }
     { tofile 1 "Non zero means print to file" }
     { pagewidth "" "Figure width" }
     { pageheight "" "Figure height" }
-    { papersize letter "letter, legal or A4"}
+    { papersize A4 "letter, legal or A4"}
     { hoffset .5 "Left margin for printing"}
     { voffset .5 "Right margin for printing"}
     { xticks 20 "Rough number of ticks on x axis"}
EOF

#patch -p1 <../maxima-5.9.0-non-totit.patch
#patch -p1 <../maxima-5.9.0-non-is.patch

./configure --host=i386-pc-linux-gnu --prefix=/usr --enable-gcl --with-wish=wish${WISHVERSION}
make

rm -rf $PKGDIR
mkdir -p $PKGDIR/usr/X11R6/bin
mkdir -p $PKGDIR/usr/doc/$SWNAME
make install DESTDIR=$PKGDIR

mv $PKGDIR/usr/bin/xmaxima $PKGDIR/usr/share/maxima/$MAXIMAVERSION/xmaxima/.
( cd $PKGDIR/usr/X11R6/bin
  ln -s ../../share/maxima/$MAXIMAVERSION/xmaxima/xmaxima .
)
cp -p ../*.patch $BUILDSCRIPT AUTHORS COPYING* ChangeLog NEWS README* $PKGDIR/usr/doc/$SWNAME/.

gzip $PKGDIR/usr/man/man1/*.1
gzip $PKGDIR/usr/info/*.info-?
gzip $PKGDIR/usr/info/*.info-??

chown -R root:root $PKGDIR/usr/doc
cd $PKGDIR
makepkg $SWNAME.tgz <<EOF
y
y
EOF
